Package org.eclipse.ui.texteditor.rulers

# Class AbstractContributedRulerColumn

java.lang.Object
org.eclipse.ui.texteditor.rulers.AbstractContributedRulerColumn

All Implemented Interfaces:
  `IVerticalRulerColumn`, `IContributedRulerColumn`

public abstract class AbstractContributedRulerColumn extends Object implements IContributedRulerColumn
Helper class for contributions to the `org.eclipse.ui.texteditor.rulerColumns` extension point.

Subclasses must have a zero-argument constructor so that they can be created by `IConfigurationElement.createExecutableExtension(String)`.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`AbstractContributedRulerColumn()`

## Method Summary

Modifier and Type
Method
Description
`void`
`columnCreated()`
Hook method called after a column has been instantiated, but before it is added to a `CompositeRuler` and before createControl is called.
`void`
`columnRemoved()`
Hook method called after a column has been removed from the `CompositeRuler`.
`final RulerColumnDescriptor`
`getDescriptor()`
Returns the extension point descriptor of this ruler.
`final ITextEditor`
`getEditor()`
Returns the editor targeted by this ruler instance.
`final void`
`setDescriptor(RulerColumnDescriptor descriptor)`
Sets the extension point descriptor of this ruler.
`final void`
`setEditor(ITextEditor editor)`
Sets the editor (called right after the extension was instantiated).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.text.source.IVerticalRulerColumn

`createControl, getControl, getWidth, redraw, setFont, setModel`

## Constructor Details

### AbstractContributedRulerColumn

public AbstractContributedRulerColumn()

## Method Details

### getDescriptor

public final RulerColumnDescriptor getDescriptor()
Description copied from interface: `IContributedRulerColumn`
Returns the extension point descriptor of this ruler.

Specified by:
  `getDescriptor` in interface `IContributedRulerColumn`
Returns:
  descriptor the extension point descriptor of this ruler or `null` if called before `IContributedRulerColumn.columnCreated()`

### setDescriptor

public final void setDescriptor(RulerColumnDescriptor descriptor)
Description copied from interface: `IContributedRulerColumn`
Sets the extension point descriptor of this ruler.

This method will be called by the framework and must not be called by clients.

Specified by:
  `setDescriptor` in interface `IContributedRulerColumn`
Parameters:
  `descriptor` - the extension point descriptor

### setEditor

public final void setEditor(ITextEditor editor)
Description copied from interface: `IContributedRulerColumn`
Sets the editor (called right after the extension was instantiated).

This method will be called by the framework and must not be called by clients.

Specified by:
  `setEditor` in interface `IContributedRulerColumn`
Parameters:
  `editor` - the editor targeted by this ruler instance

### getEditor

public final ITextEditor getEditor()
Description copied from interface: `IContributedRulerColumn`
Returns the editor targeted by this ruler instance.

Specified by:
  `getEditor` in interface `IContributedRulerColumn`
Returns:
  the editor targeted by this ruler instance or `null` if called before `IContributedRulerColumn.columnCreated()`

### columnCreated

public void columnCreated()
Description copied from interface: `IContributedRulerColumn`
Hook method called after a column has been instantiated, but before it is added to a `CompositeRuler` and before createControl is called.

This happens when

- the column is set visible by the user or programmatically
- the editor is created, if this ruler targets the editor and is enabled by default
- the editor input changes and the column now targets the new editor contents.

Specified by:
  `columnCreated` in interface `IContributedRulerColumn`

### columnRemoved

public void columnRemoved()
Description copied from interface: `IContributedRulerColumn`
Hook method called after a column has been removed from the `CompositeRuler`.

This happens when

- the column is hidden by the user or programmatically
- the editor is closed
- the editor input changes and the column no longer targets the editor contents.

The column will not be used after this method has been called. A new column will be instantiated if the same column type should be shown for the same editor.

Specified by:
  `columnRemoved` in interface `IContributedRulerColumn`